## cameleon 1.9.20

=== Makefile ===
#################################################################################
#                Cameleon                                                       #
#                                                                               #
#    Copyright (C) 2004-2010 Institut National de Recherche en Informatique     #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#################################################################################

include master.Makefile

SCRIPTS=

IMAGES=\
	images/bookmark.png \
	images/chamo.png \
	images/component.png \
	images/file_component.png \
	images/fun.png \
	images/run.png \
	images/tdl-group.png \
	images/tdl-item.png \
	images/tdl-item-done.png \
	images/tdl-item-high.png \
	images/tdl-item-low.png \
	images/tdl-item-suspended.png \
	images/topcameleon.xpm \
	images/type.png \
	images/value.png

# Compilation
#############

work: utils src

all: work srcdoc doc

src: dummy
	cd src && $(MAKE) all

utils: dummy
#	cd utils && $(MAKE) all

re : depend clean all

perl:
	$(ROOT)/utils/compile.sh

help:
	@echo "work:      utils src"
	@echo "all:       work srcdoc doc"
	@echo "src:       src/all"
	@echo "utils:     utils/all"
	@echo "re:        depend clean all"

# Documentation :
#################
srcdoc: dummy
	cd src && $(MAKE) doc

doc: dummy
	cd doc && $(MAKE) all

# myself

master.Makefile: master.Makefile.in config.status
	./config.status

config.status: configure master.Makefile.in \
	src/cameleon/cam_installation.ml.in \
	src/cameleon/cam_config.ml.in \
	src/custop/custop_installation.ml.in \
	src/report/rep_installation.ml.in \
	src/dbforge/dbf_installation.ml.in
	./config.status --recheck

configure: configure.in
	autoconf

# headers :
###########
HEADFILES= configure.in configure \
	master.Makefile.in Makefile \
	src/*/*.ml src/*/*.mli src/*/*.mll src/*/*.mly src/*/*.in \
	src/Makefile doc/Makefile utils/Makefile utils/checkocaml.ml
headers: dummy
	echo $(HEADFILES)
	headache -h header -c .headache_config `ls $(HEADFILES) | grep -v odot | grep -v cam-mktop2.in`

noheaders: dummy
	headache -r -c .headache_config `ls $(HEADFILES) | grep -v odot | grep -v cam-mktop.in`

# backup, clean and depend :
############################

distclean: clean
	cd src && $(MAKE) distclean
	cd doc && $(MAKE) distclean
	$(RM) config.cache config.log config.status master.Makefile
	$(RM) config_check.log ocaml_config.sh
	$(RM) images/topcameleon.xpm
#	cd utils && $(MAKE) distclean

clean: dummy
	$(RM) *~ \#*\#
	cd src && $(MAKE) clean
	cd doc && $(MAKE) clean
#	cd utils && $(MAKE) clean


depend: dummy
	cd src && $(MAKE) depend
alldepend: dummy
	cd src && $(MAKE) alldepend

dummy:

#################
# code count
#################
codecount:
	@echo `cat src/*/*.ml src/*/*.mli | wc -l` lines


#################
# installation
#################

install: dummy installimages
	cd src && $(MAKE) install
	$(MAKE) installspecsfiles
	$(MAKE) installdoc

installspecsfiles:
	$(MKDIR) $(LANGUAGESSPECSDIR)
	$(CP) utils/ocaml.lang $(LANGUAGESSPECSDIR)

installdoc:
	cd doc && $(MAKE) install

%.gif: %.png
	convert $< $@

%.xpm: %.png
	convert -scale 32x32 $< $@

installimages: dummy $(IMAGES)
	$(MKDIR) $(PIXMAPSDIR)
	$(CP) $(IMAGES) $(PIXMAPSDIR)

installscripts: dummy
#	$(MKDIR) $(DIR_UTILS)
#	$(CP) $(SCRIPTS) $(DIR_UTILS)

###########################
# additional dependencies
###########################

# DO NOT DELETE

=== doc/Makefile ===
#################################################################################
#                Cameleon                                                       #
#                                                                               #
#    Copyright (C) 2004-2010 Institut National de Recherche en Informatique     #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#################################################################################

# $Id: Makefile 749 2010-06-17 06:52:00Z zoggy $

include ../master.Makefile

all: doc_stdlib doc_cameleon

STDLIB_DOC=stdlib.odoc
doc_stdlib:dummy
	$(OCAMLDOC) -I +threads \
	-dump $(STDLIB_DOC) \
	`ls $(OCAMLLIB)/*.mli | grep -v outcometree`

CAMELEON_DOC=cameleon.odoc
doc_cameleon:dummy
	cd $(ROOT)/src && $(MAKE) $(ROOT)/doc/$(CAMELEON_DOC)

install:
	@echo
	@echo Installing documentation...
	@echo
	@$(MKDIR) $(LIBDIR)
	@for i in $(STDLIB_DOC) $(CAMELEON_DOC); do \
	if test -f $$i; then \
                $(CP) $$i $(LIBDIR); echo $(LIBDIR)/`basename $$i` installed; \
        else \
                echo $$i NOT installed ; \
        fi; done
clean:
	$(RM) *.odoc
distclean: clean
dummy:

=== src/Makefile ===
#################################################################################
#                Cameleon                                                       #
#                                                                               #
#    Copyright (C) 2004-2010 Institut National de Recherche en Informatique     #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#################################################################################

include ../master.Makefile

SYSTEM_INCLUDES= \
	-I +threads \
	-I +ocamldoc \
	-I ocaml/parsing \
	-I ocaml/typing \
	$(OCAML_DRIVER_INCLUDES) \
	-I ocaml/utils \
	$(PCRE_INCLUDES) \
	$(LABLGTK2_INCLUDES) \
	$(LABLGTKSOURCEVIEW_INCLUDES) \
	$(XMLLIGHT_INCLUDES)

MY_INCLUDES= \
	-I odot \
	-I okey \
	-I utils \
	-I odiff \
	-I tdl \
	-I rss \
	-I tmpl-engine \
	-I sqml \
	-I config_file \
	-I configwin \
	-I gtksv-utils \
	-I report \
	-I dbforge \
	-I ocamlcvs \
	-I editor \
	-I cameleon \
	-I camtop \
	-I custop \
	-I multiclip \
	-I plugins \
	-I snippets

INCLUDES= \
	$(SYSTEM_INCLUDES) \
	$(MY_INCLUDES)

MKCHAMO_INCLUDES= \
	-I +threads \
	-I +ocamldoc \
	$(OCAML_DRIVER_INCLUDES) \
	-I $(LIBDIR) \
	$(PCRE_INCLUDES) \
	$(LABLGTK2_INCLUDES) \
	$(LABLGTKSOURCEVIEW_INCLUDES) \
	$(XMLLIGHT_INCLUDES)

COMPFLAGS=$(INCLUDES)
LINKFLAGS=$(INCLUDES)
LINKFLAGS_BYTE=$(INCLUDES)

#OCAMLPP=-pp "$(OCAMLBIN)/camlp4o "

TOOLS=$(REPORT) $(REPORT_GUI) $(TMPL_ENGINE) \
	$(DBFORGE) $(DBFORGE_GUI) \
	$(OCAMLCVS) $(TDL) $(TDL_EXPORT) $(TDL_HTML) $(TDL_SVN) \
	$(RSS) $(RSS_EXPORT)\
	$(EDITOR) $(CAMELEON) $(CAM_CONFIG) $(DOCBROWSER)
TOOLS_BYTE=$(REPORT_BYTE) $(REPORT_GUI_BYTE) \
	$(TMPL_ENGINE_BYTE) \
	$(DBFORGE_BYTE) $(DBFORGE_GUI_BYTE) \
	$(OCAMLCVS_BYTE) \
	$(TDL_BYTE) $(TDL_EXPORT_BYTE) $(TDL_HTML_BYTE) $(TDL_SVN_BYTE) \
	$(RSS_BYTE) $(RSS_EXPORT_BYTE) \
	$(EDITOR_BYTE) $(CAMELEON_BYTE) $(CAM_CONFIG_BYTE) $(DOCBROWSER_BYTE) $(CAMTOP)

UTILS=utils/gstuff.cmx \
	utils/gmylist.cmx \
	utils/gmytree.cmx \
	utils/gdir.cmx \
	utils/ffind.cmx \
	utils/dtypes.cmx
UTILS_BYTE=utils/gstuff.cmo \
	utils/gmylist.cmo \
	utils/gmytree.cmo \
	utils/gdir.cmo \
	utils/ffind.cmo \
	utils/dtypes.cmo

PLUGINS=plugins/test.cmo plugins/dep_view.cma

# Compilation
#############

# Cameleon
# files shared with editor
CAMELEON_SHARED_CMOFILES=\
	cameleon/cam_messages.cmo \
	cameleon/cam_config.cmo \
	cameleon/cam_dbg.cmo \
	cameleon/cam_misc.cmo \
	cameleon/cam_constant.cmo \
	cameleon/cam_rc.cmo \
	cameleon/cam_com_history.cmo \
	cameleon/cam_hooks.cmo \
	cameleon/cam_commands.cmo \
	cameleon/cam_log.cmo \
	cameleon/cam_args.cmo

CAMELEON_COMMON_CMOFILES=\
	$(EDITOR_COMMON_CMOFILES) \
	cameleon/cam_chamo.cmo \
	cameleon/cam_gui_base.cmo \
	cameleon/cam_gui.cmo \
	cameleon/cam_keymaps.cmo \
	cameleon/cam_view.cmo \
	cameleon/cam_dir_view.cmo \
	cameleon/cam_doc.cmo \
	cameleon/cam_doc_gui.cmo

PRE_CAMELEON_CMOFILES=$(CAMELEON_COMMON_CMOFILES) \
	cameleon/cam_minibuffer.cmo \
	cameleon/cam_files.cmo \
	cameleon/cam_cvs_view.cmo \
	cameleon/cam_files_view.cmo \
	cameleon/cam_modules_view.cmo \
	cameleon/cam_multiview.cmo \
	cameleon/cam_bbar.cmo \
	cameleon/cam_new_project.cmo \
	cameleon/cam_menus.cmo \
	cameleon/cam_server.cmo \
	cameleon/cam_plug.cmo \
	cameleon/cam_rss.cmo

CAMELEON_CMOFILES=$(PRE_CAMELEON_CMOFILES) \
	editor/ed_eval.cmo \
	cameleon/cam_plugins.cmo \
	cameleon/cam_main.cmo

CAMELEON_CMXFILES=$(PRE_CAMELEON_CMOFILES:.cmo=.cmx) \
	cameleon/cam_main.cmx

CAMELEON_CMIFILES= $(CAMELEON_CMOFILES:.cmo=.cmi)

CAM_CONFIG_CMOFILES=\
	cameleon/cam_installation.cmo \
	cameleon/cam_config.cmo \
	cameleon/cam_config_main.cmo

CAM_CONFIG_CMXFILES=$(CAM_CONFIG_CMOFILES:.cmo=.cmx)
CAM_CONFIG_CMIFILES=$(CAM_CONFIG_CMOFILES:.cmo=.cmi)

DOCBROWSER_CMOFILES=$(CAMELEON_COMMON_CMOFILES) \
	cameleon/cam_docbrowser.cmo

DOCBROWSER_CMXFILES= $(DOCBROWSER_CMOFILES:.cmo=.cmx)
DOCBROWSER_CMIFILES= $(DOCBROWSER_CMOFILES:.cmo=.cmi)

# Editor

EDITOR_COMMON_CMOFILES=\
	utils/dtypes.cmo \
	$(CAMELEON_SHARED_CMOFILES) \
	editor/ed_config.cmo \
	editor/ed_messages.cmo \
	editor/ed_prefs.cmo \
	editor/ed_gui_base.cmo \
	editor/ed_keymaps.cmo \
	editor/ed_gui_rc.cmo \
	editor/ed_bookmarks.cmo \
	editor/ed_fstack.cmo \
	editor/ed_sourceview_rc.cmo \
	editor/ed_minibuffer_rc.cmo \
	editor/ed_minibuffer.cmo \
	editor/ed_charsets.cmo \
	editor/ed_core_rc.cmo \
	editor/ed_outputs.cmo \
	editor/ed_misc.cmo \
	editor/ed_view_rc.cmo \
	editor/ed_view.cmo \
	editor/ed_multiclip_rc.cmo \
	editor/ed_multiclip.cmo \
	editor/ed_odoc_rc.cmo \
	editor/ed_odoc.cmo \
	editor/ed_tdl_rc.cmo \
	editor/ed_tdl.cmo \
	editor/ed_sourceview.cmo \
	editor/ed_sourceview_expand.cmo \
	editor/ed_ocamloutput.cmo \
	editor/ed_ocaml_lexer.cmo \
	editor/ed_mode_ocaml_rc.cmo \
	editor/ed_ocamlbuild.cmo \
	editor/ed_mode_ocaml.cmo \
	editor/ed_mode_makefile_rc.cmo \
	editor/ed_mode_makefile.cmo \
	editor/ed_mode_changelog_rc.cmo \
	editor/ed_mode_changelog.cmo \
	editor/ed_gui.cmo \
	editor/ed_layout.cmo

EDITOR_COMMON_CMIFILES=$(EDITOR_COMMON_CMOFILES:.cmo=.cmi)
EDITOR_COMMON_CMXFILES=$(EDITOR_COMMON_CMOFILES:.cmo=.cmx)

EDITOR_CMOFILES=$(EDITOR_COMMON_CMOFILES) \
	editor/ed_eval.cmo \
	editor/ed_main.cmo
EDITOR_CMXFILES=$(EDITOR_COMMON_CMOFILES:.cmo=.cmx) editor/ed_main.cmx
EDITOR_CMIFILES=$(EDITOR_COMMON_CMOFILES:.cmo=.cmi) editor/ed_main.cmi

LIBEDITOR=editor/chamo.cmxa
LIBEDITOR_A=$(LIBEDITOR:.cmxa=.a)

EDITOR_LIBS=$(LIBEDITOR) $(LIBEDITOR_A)

EDITOR_LINK_LIBS=str.cmxa unix.cmxa threads.cmxa xml-light.cmxa \
	lablgtk.cmxa lablglade.cmxa gtkThread.cmx gtkInit.cmx \
	okey.cmx config_file.cmx configwin.cmxa \
	utils/gmylist.cmx utils/gmytree.cmx \
	multiclip/multiclip.cmx multiclip/multiclip_gui.cmx \
	cameleon/cam_installation.cmx \
	tdl.cmxa tdl_gui.cmxa lablgtksourceview2.cmxa \
	$(LIBSVUTILS) odoc_info.cmxa \
	pcre.cmxa
EDITOR_LINK_LIBS_BYTE=str.cma unix.cma threads.cma xml-light.cma \
	toplevellib.cma \
	lablgtk.cma lablglade.cma gtkThread.cmo gtkInit.cmo \
	okey.cmo config_file.cmo configwin.cma \
	utils/gmylist.cmo utils/gmytree.cmo \
	multiclip/multiclip.cmo multiclip/multiclip_gui.cmo \
	cameleon/cam_installation.cmo \
	tdl.cma tdl_gui.cma lablgtksourceview2.cma \
	$(LIBSVUTILS_BYTE) odoc_info.cma \
	pcre.cma
MKCHAMO_LINK_LIBS=str.cmxa unix.cmxa threads.cmxa xml-light.cmxa \
	lablgtk.cmxa lablglade.cmxa gtkThread.cmx gtkInit.cmx \
	okey.cmx config_file.cmx configwin.cmxa \
	gmylist.cmx gmytree.cmx \
	multiclip.cmx multiclip_gui.cmx \
	cam_installation.cmx \
	tdl.cmxa tdl_gui.cmxa lablgtksourceview2.cmxa \
	gtksv_utils.cmx odoc_info.cmxa \
	pcre.cmxa

MKCHAMO_SCRIPT=editor/make_my_chamo
# Okey

LIBOKEY=okey/okey.cmx
LIBOKEY_BYTE=$(LIBOKEY:.cmx=.cmo)
LIBOKEY_CMI=$(LIBOKEY:.cmx=.cmi)
LIBOKEY_O=$(LIBOKEY:.cmx=.o)

OKEY_LIBS=$(LIBOKEY) $(LIBOKEY_BYTE) $(LIBOKEY_CMI) $(LIBOKEY_O)

# Odot

LIBODOT=odot/odot.cmxa
LIBODOT_BYTE=$(LIBODOT:.cmxa=.cma)
LIBODOT_CMI=$(LIBODOT:.cmxa=.cmi)
LIBODOT_A=$(LIBODOT:.cmxa=.a)
LIBODOT_VIEW=odot/odot_view.cmx
LIBODOT_VIEW_BYTE=$(LIBODOT_VIEW:.cmx=.cmo)
LIBODOT_VIEW_CMI=$(LIBODOT_VIEW:.cmx=.cmi)
LIBODOT_VIEW_O=$(LIBODOT_VIEW:.cmx=.o)
ODOT_LIBS=$(LIBODOT) $(LIBODOT_BYTE) $(LIBODOT_CMI) $(LIBODOT_A) \
	$(LIBODOT_VIEW) $(LIBODOT_VIEW_BYTE) $(LIBODOT_VIEW_CMI) $(LIBODOT_VIEW_O)



# Config_file

LIBCF=config_file/config_file.cmx
LIBCF_BYTE=$(LIBCF:.cmx=.cmo)
LIBCF_CMI=$(LIBCF:.cmx=.cmi)
LIBCF_O=$(LIBCF:.cmx=.o)

CF_LIBS=$(LIBCF) $(LIBCF_BYTE) $(LIBCF_CMI) $(LIBCF_O)


# Gtksv-utils

LIBSVUTILS=gtksv-utils/gtksv_utils.cmx
LIBSVUTILS_BYTE=$(LIBSVUTILS:.cmx=.cmo)
LIBSVUTILS_CMI=$(LIBSVUTILS:.cmx=.cmi)
LIBSVUTILS_O=$(LIBSVUTILS:.cmx=.o)

SVUTILS_LIBS=$(LIBSVUTILS) $(LIBSVUTILS_BYTE) $(LIBSVUTILS_CMI) $(LIBSVUTILS_O)

# Configwin

CW_COMMON_CMOFILES=\
	configwin/configwin_keys.cmo \
	configwin/configwin_types.cmo \
	configwin/configwin_messages.cmo \
	configwin/configwin_ihm.cmo

LIBCW_CMOFILES=$(CW_COMMON_CMOFILES) configwin/configwin.cmo
LIBCW_CMIFILES=$(LIBCW_CMOFILES:.cmo=.cmi)
LIBCW_CMXFILES=$(LIBCW_CMOFILES:.cmo=.cmx)

LIBCW=configwin/configwin.cmxa
LIBCW_BYTE=$(LIBCW:.cmxa=.cma)
LIBCW_CMI=$(LIBCW:.cmxa=.cmi)
LIBCW_A=$(LIBCW:.cmxa=.a)

CW_LIBS=$(LIBCW) $(LIBCW_BYTE) $(LIBCW_CMI) $(LIBCW_A)

# Tdl

TDL_COMMON_CMOFILES=\
	tdl/tdl_messages.cmo \
	tdl/tdl_date.cmo \
	tdl/tdl_types.cmo \
	tdl/tdl_io.cmo \
	tdl/tdl_filter.cmo \
	tdl/tdl_filter_parser.cmo \
	tdl/tdl_filter_lexer.cmo \
	tdl/tdl.cmo

LIBTDL_CMOFILES=$(TDL_COMMON_CMOFILES)
LIBTDL_CMIFILES=$(LIBTDL_CMOFILES:.cmo=.cmi)
LIBTDL_CMXFILES=$(LIBTDL_CMOFILES:.cmo=.cmx)

TDL_EXPORT_CMOFILES=tdl/tdl_export.cmo
TDL_EXPORT_CMIFILES=$(TDL_EXPORT_CMOFILES:.cmo=.cmi)
TDL_EXPORT_CMXFILES=$(TDL_EXPORT_CMOFILES:.cmo=.cmx)

TDL_SVN_CMOFILES=tdl/tdl_svn.cmo
TDL_SVN_CMIFILES=$(TDL_SVN_CMOFILES:.cmo=.cmi)
TDL_SVN_CMXFILES=$(TDL_SVN_CMOFILES:.cmo=.cmx)

TDL_HTML_CMOFILES=tdl/tdl2html.cmo
TDL_HTML_CMIFILES=$(TDL_HTML_CMOFILES:.cmo=.cmi)
TDL_HTML_CMXFILES=$(TDL_HTML_CMOFILES:.cmo=.cmx)

LIBTDL=tdl/tdl.cmxa
LIBTDL_BYTE=$(LIBTDL:.cmxa=.cma)
LIBTDL_CMI=$(LIBTDL:.cmxa=.cmi)
LIBTDL_A=$(LIBTDL:.cmxa=.a)

LIBTDL_GUI_CMOFILES=\
	tdl/tdl_gui_rc.cmo \
	tdl/tdl_gui_base.cmo \
	tdl/tdl_gui.cmo
LIBTDL_GUI_CMIFILES=$(LIBTDL_GUI_CMOFILES:.cmo=.cmi)
LIBTDL_GUI_CMXFILES=$(LIBTDL_GUI_CMOFILES:.cmo=.cmx)

LIBTDL_GUI=tdl/tdl_gui.cmxa
LIBTDL_GUI_BYTE=$(LIBTDL_GUI:.cmxa=.cma)
LIBTDL_GUI_CMI=$(LIBTDL_GUI:.cmxa=.cmi)
LIBTDL_GUI_A=$(LIBTDL_GUI:.cmxa=.a)

TDL_CMOFILES=tdl/tdl_main.cmo
TDL_CMIFILES=$(TDL_CMOFILES:.cmo=.cmi)
TDL_CMXFILES=$(TDL_CMOFILES:.cmo=.cmx)

ODOC_TDL_CMOFILES=$(TDL_COMMON_CMOFILES) tdl/odoc_tdl.cmo
ODOC_TDL=tdl/odoc_tdl.cma
ODOC_TDL_CMI=$(ODOC_TDL:.cma=.cmi)

TDL_LIBS=$(LIBTDL) $(LIBTDL_BYTE) $(LIBTDL_CMI) $(LIBTDL_A) \
	$(LIBTDL_GUI) $(LIBTDL_GUI_BYTE) $(LIBTDL_GUI_CMI) $(LIBTDL_GUI_A)

# RSS

RSS_COMMON_CMOFILES=\
	rss/rss_messages.cmo \
	rss/rss_date.cmo \
	rss/rss_types.cmo \
	rss/rss_io.cmo \
	rss/rss.cmo

LIBRSS_CMOFILES=$(RSS_COMMON_CMOFILES)
LIBRSS_CMIFILES=$(LIBRSS_CMOFILES:.cmo=.cmi)
LIBRSS_CMXFILES=$(LIBRSS_CMOFILES:.cmo=.cmx)

LIBRSS=rss/rss.cmxa
LIBRSS_BYTE=$(LIBRSS:.cmxa=.cma)
LIBRSS_CMI=$(LIBRSS:.cmxa=.cmi)
LIBRSS_A=$(LIBRSS:.cmxa=.a)

LIBRSS_GUI_CMOFILES=\
	rss/rss_gui_base.cmo \
	rss/rss_gui.cmo
LIBRSS_GUI_CMIFILES=$(LIBRSS_GUI_CMOFILES:.cmo=.cmi)
LIBRSS_GUI_CMXFILES=$(LIBRSS_GUI_CMOFILES:.cmo=.cmx)

LIBRSS_GUI=rss/rss_gui.cmxa
LIBRSS_GUI_BYTE=$(LIBRSS_GUI:.cmxa=.cma)
LIBRSS_GUI_CMI=$(LIBRSS_GUI:.cmxa=.cmi)
LIBRSS_GUI_A=$(LIBRSS_GUI:.cmxa=.a)

RSS_CMOFILES=rss/rss_gui_main.cmo
RSS_CMIFILES=$(RSS_CMOFILES:.cmo=.cmi)
RSS_CMXFILES=$(RSS_CMOFILES:.cmo=.cmx)

=== utils/Makefile ===
#################################################################################
#                Cameleon                                                       #
#                                                                               #
#    Copyright (C) 2004-2010 Institut National de Recherche en Informatique     #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#################################################################################

# $Id: Makefile 749 2010-06-17 06:52:00Z zoggy $

include ../master.Makefile

all: config_check.cmo

clean:
	rm -f *~ \#*\#
	rm -f *.cm*

distclean: clean

=== src/dbforge/ocamlsql/Makefile ===
##########################################################################
#                   Cameleon                                             #
#                                                                        #
#      Copyright (C) 2002 Institut National de Recherche en Informatique et   #
#      en Automatique. All rights reserved.                              #
#                                                                        #
#      This program is free software; you can redistribute it and/or modify  #
#      it under the terms of the GNU General Public License as published by  #
#      the Free Software Foundation; either version 2 of the License, or  #
#      any later version.                                                #
#                                                                        #
#      This program is distributed in the hope that it will be useful,   #
#      but WITHOUT ANY WARRANTY; without even the implied warranty of    #
#      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     #
#      GNU General Public License for more details.                      #
#                                                                        #
#      You should have received a copy of the GNU General Public License  #
#      along with this program; if not, write to the Free Software       #
#      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA          #
#      02111-1307  USA                                                   #
#                                                                        #
#      Contact: Maxence.Guesdon@inria.fr                                #
##########################################################################


include ../../../master.Makefile

CMOFILES=ocamlsql_types.cmo\
	ocamlsql_messages.cmo\
	ocamlsql_parser.cmo\
	ocamlsql_lexer.cmo\
	ocamlsql_print.cmo\
	ocamlsql.cmo


CMXFILES=$(CMOFILES:.cmo=.cmx)
CMIFILES=$(CMOFILES:.cmo=.cmi)

LIB_OCAMLSQL_CMI=$(LIB_OCAMLSQL:.cma=.cmi)
LIB_OCAMLSQL_A=$(LIB_OCAMLSQL_OPT:.cmxa=.a)


LIB_OCAMLSQL=ocamlsql.cma
####

all: byte opt
byte: $(LIB_OCAMLSQL)
opt: $(LIB_OCAMLSQL_OPT)

$(LIB_OCAMLSQL): $(CMIFILES) ocamlsql_parser.cmi $(CMOFILES)
	$(OCAMLC) -a -linkall -o $@ $(CMOFILES)

$(LIB_OCAMLSQL_OPT): $(CMIFILES) ocamlsql_parser.cmi $(CMXFILES)
	$(OCAMLOPT) -a -linkall -o $@ $(CMXFILES)

# Doc :
#######
dump.odoc: dummy
	$(OCAMLDOC) $(OCAMLPP) $(COMPFLAGS) -dump dump.odoc *.ml *.mli

# installation :
################
install:
	$(MKDIR) $(LIBDIR)
	$(CP) $(LIB_OCAMLSQL) $(LIB_OCAMLSQL_CMI) $(LIBDIR)
	if test -f $(LIB_OCAMLSQL_OPT) ; then $(MAKE) installopt ; fi

installopt:
	$(MKDIR) $(LIBDIR)
	$(CP) $(LIB_OCAMLSQL_OPT) $(LIB_OCAMLSQL_CMI) $(LIB_OCAMLSQL_A) $(LIBDIR)



# backup, clean and depend :
############################
clean:
	$(RM) *~ #*# *-
	@$(RM) *.o $(CMIFILES) $(CMOFILES) $(CMXFILES) *.a *.cmi
	@$(RM) $(LIB_OCAMLSQL) $(LIB_OCAMLSQL_OPT)
	@$(RM) ocamlsql_parser.output ocamlsql_parser.ml ocamlsql_parser.mli

distclean: clean
	@$(RM)

.depend depend::
	$(OCAMLDEP) *.ml *.mli > .depend

dummy:

include .depend

=== src/dbforge/translate/Makefile ===
##########################################################################
#                   Cameleon                                             #
#                                                                        #
#      Copyright (C) 2002 Institut National de Recherche en Informatique et   #
#      en Automatique. All rights reserved.                              #
#                                                                        #
#      This program is free software; you can redistribute it and/or modify  #
#      it under the terms of the GNU General Public License as published by  #
#      the Free Software Foundation; either version 2 of the License, or  #
#      any later version.                                                #
#                                                                        #
#      This program is distributed in the hope that it will be useful,   #
#      but WITHOUT ANY WARRANTY; without even the implied warranty of    #
#      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     #
#      GNU General Public License for more details.                      #
#                                                                        #
#      You should have received a copy of the GNU General Public License  #
#      along with this program; if not, write to the Free Software       #
#      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA          #
#      02111-1307  USA                                                   #
#                                                                        #
#      Contact: Maxence.Guesdon@inria.fr                                #
##########################################################################

include ../../master.Makefile

CMOFILES=../dbf_messages.cmo \
	dbft_documentIO.cmo\
	dbft_parser.cmo\
	dbft_lexer.cmo\
	../dbf_types.cmo\
	../dbf_misc.cmo\
	dbft.cmo

CMXFILES=$(CMOFILES:.cmo=.cmx)
CMIFILES=$(CMOFILES:.cmo=.cmi)

EXE=dbftrans

LINKFLAGS=-I ../ocamlsql -I $(ROOT)/ioxml -I +camlp4

byte: $(EXE) 
all:byte opt 
opt: $(EXE_OPT) 
debug: 
	$(MAKE) OCAMLPP=""

LIBS=unix.cma str.cma $(LIB_OCAMLSQL) gramlib.cma $(ROOT)/ioxml/ioXML.cmo
LIBS_OPT=unix.cmxa str.cmxa $(LIB_OCAMLSQL_OPT) gramlib.cmxa $(ROOT)/ioxml/ioXML.cmx

$(EXE): $(CMIFILES) $(CMOFILES) 
	$(OCAMLC) -custom -o $@ $(LINKFLAGS) $(LIBS) $(CMOFILES) 

$(EXE_OPT): $(CMXFILES) 
	$(OCAMLOPT) -o $@ $(LINKFLAGS) $(LIBS_OPT) $(CMXFILES) 



# backup, clean and depend :
############################

clean:: 
	@$(RM) -f *~ \#*\#
	@$(RM) $(EXE) $(EXE_OPT)
	@$(RM) *.cmo *.cmi *.cmx *.cma *.cmxa *.a *.o 
	@$(RM) dbft_parser.output dbft_parser.ml dbft_parser.mli

distclean:: clean

.depend depend::
	$(OCAMLDEP) *.ml *.mli > .depend

dummy:

include .depend

=== debian/changelog ===
cameleon (1.9.20-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:19 -0600

cameleon (1.9.20-1) unstable; urgency=low

  * New upstream release:
    - compatible with OCaml 3.12.0 (Closes: #580094)
  * debian/control:
    - remove Stefano from Uploaders
    - clean up Provides/Conflicts/Replaces
    - bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Apr 2011 09:57:48 +0200

=== debian/control ===
Source: cameleon
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Samuel Mimram <smimram@debian.org>
Build-Depends:
 patchutils (>= 0.2.25),
 cdbs (>= 0.4.27),
 ocaml-nox (>= 3.12),
 po4a, docbook-xml (>= 4.4), docbook-xsl, libxml2-utils, xsltproc,
 debhelper (>= 7),
 dh-ocaml (>= 0.9.1~),
 camlp4,
 ocaml-findlib (>= 1.2.5),
 liblablgtk2-ocaml-dev (>= 2.14),
 libxml-light-ocaml-dev (>= 2.2-12~),
 liblablgtksourceview2-ocaml-dev,
 libpcre-ocaml-dev (>= 6.0.1-2~),
 imagemagick,
 docbook-ebnf
Standards-Version: 3.9.2
Homepage: http://home.gna.org/cameleon/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cameleon.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cameleon.git

Package: cameleon
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: cameleon-doc
Description: integrated development environment for OCaml
 Cameleon is a set of tools and libraries put together to create an
 integrated development environment for the OCaml programming language.
 .
 Its main features are :
  - graphical user interface,
  - configuration management based on CVS,
  - easy access to and browsing of documentation,
  - various editors, according to customizable file types,
  - use of plug-ins to define new features,
  - highly customizable interface (menus, toolbar, keyboard shortcuts).
 .
 Tools shipped are :
  - Chamo, a source code editor based on the GtkSourceView widget with some
    emacs-like functionality,
  - DBforge, a tool to describe database schemas and generate OCaml code to
    access these databases,
  - OCamlCVS, a graphical front end for the CVS configuration management
    utility,
  - Report, a tool aims to make generation of XML documents from OCaml
    applications easier,

Package: cameleon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for Cameleon
 It contains documentation build with Cameleon:
  - Cameleon reference manual
  - Cameleon user manual,
 .
 Documentation can be in HTML, Postscript or odoc formats.

Package: libcameleon-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ocaml-findlib, cameleon-doc
Provides: ${ocaml:Provides}
Description: libraries from Cameleon
 It contains the libraries built with Cameleon:
  - Config_file, create configuration files,
  - Configwin, build configuration or input windows in LablGTK,
  - Odiff, print and parse differences between files or strings, in the diff
    utility format,
  - Odot, parse and print Graphviz dot files,
  - Okey, add handlers to key press events in LablGTK,
  - Tdl, represent, store and read TODO lists in XML files,
